org.eclipse.ease.ui.scripts.ui

## Class ScriptPopupMenu

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractPopupItem
  - - org.eclipse.ease.ui.tools.AbstractPopupMenu
    - - org.eclipse.ease.ui.scripts.ui.ScriptPopupMenu

All Implemented Interfaces:
  IMenuListener

    public class ScriptPopupMenu
    extends AbstractPopupMenu

### Constructor Summary

Constructors
Constructor and Description
`ScriptPopupMenu(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem(AbstractPopupItem item)`
`ScriptPopupMenu` `getSubMenu(java.lang.String name)`
`boolean` `hasSubMenu(java.lang.String name)`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractPopupMenu

`getContribution, getContributionParameter, getDisplayName, menuAboutToShow`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractPopupItem

`isVisible, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptPopupMenu

    public ScriptPopupMenu(java.lang.String name)

### Method Detail

#### addItem

    public void addItem(AbstractPopupItem item)

#### hasSubMenu

    public boolean hasSubMenu(java.lang.String name)

Parameters:
  `segment` -
Returns:

#### getSubMenu

    public ScriptPopupMenu getSubMenu(java.lang.String name)

Parameters:
  `segment` -
Returns: